Foxit PDF RDK

Static Public Member Functions | List of all members
Optimizer Class Reference
Inheritance diagram for Optimizer:

## Static Public Member Functions
static | Optimize (doc, settings, pause)
| Optimize the given PDF document with specified optimizer settings. More...
static | StartSubsetEmbedFont (doc, pause)
| Start to make subsets for embedded fonts in the given PDF document. More...

## Additional Inherited Members
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

This class can be used to optimize PDF file to reduce file size. Before using this class to do optimization, please ensure Foxit PDF SDK has been initialized successfully by function Library.Initialize with a key including "Optimizer" module.

See also
  Library

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ Optimize()

static Optimizer.Optimize | ( | doc | ,
|  | settings | ,
|  | pause |
| ) |  |
| static

Optimize the given PDF document with specified optimizer settings.

Parameters

  [in] | doc | A valid PDF document object to be optimized.
  [in] | settings | Setting data used for optimization processing settings.
  [in] | pause | Pause object which decides if the process needs to be paused. This can be null which means not to pause during the optimization process. If this is not null, it should be a valid pause object implemented by user.

Note
  If module "Optimizer" is not defined in the license information which is used in function Library.Initialize, that means user has no right in using Optimization related functions and this function will throw exception e_ErrNoOptimizerModuleRight.

Returns
  A progressive object. Please check the rate of current progress by function Progressive.GetRateOfProgress. If the rate is not 100 yet, call function Progressive.Continue to continue the progress until the progress is finished.

## ◆ StartSubsetEmbedFont()

static Optimizer.StartSubsetEmbedFont | ( | doc | ,
|  | pause |
| ) |  |
| static

Start to make subsets for embedded fonts in the given PDF document.

This function can be used to remove useless embedded characters from the data of embedded fonts (if there's any in a PDF document) in order to reduce the size of a PDF document.

Parameters

  [in] | doc | A valid PDF document object to be processed a subset of embedded fonts.
  [in] | pause | Pause object which decides if the process needs to be paused. This can be null which means not to pause during the embeded font subset process. If this is not null, it should be a valid pause object implemented by user.

Note
  If module "Optimizer" is not defined in the license information which is used in function Library.Initialize, that means user has no right in using Optimization related functions and this function will throw exception e_ErrNoOptimizerModuleRight.

Returns
  A progressive object. Please check the rate of current progress by function Progressive.GetRateOfProgress. If the rate is not 100 yet, call function Progressive.Continue to continue the progress until the progress is finished.